# Get a Custom Form Retrieves the Custom Form (specified by typedId), including all details. Endpoint: POST /customform.fetch/{typedId} Security: basic, X-PriceFx-jwt ## Path parameters: - `typedId` (string, required) The typedId of the Custom Form you want to retrieve details for. Example: "123.CFO" ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.data` (array) - `response.data.version` (number) - `response.data.typedId` (string) - `response.data.uniqueName` (string) - `response.data.label` (string) - `response.data.parentTypedId` (any) - `response.data.typeId` (number) - `response.data.userGroupEdit` (any) - `response.data.userGroupViewDetails` (any) - `response.data.module` (any) - `response.data.results` (any) - `response.data.inputs` (array) - `response.data.inputs.name` (string) - `response.data.inputs.lookupTableId` (any) - `response.data.inputs.url` (any) - `response.data.inputs.type` (string) - `response.data.inputs.value` (number) - `response.data.inputs.valueHint` (any) - `response.data.inputs.readOnly` (any) - `response.data.inputs.filter` (any) - `response.data.inputs.parameterGroup` (any) - `response.data.inputs.required` (boolean) - `response.data.inputs.labelTranslations` (any) - `response.data.inputs.addUnknownValues` (any) - `response.data.inputs.alwaysEditable` (any) - `response.data.inputs.parameterConfig` (object) - `response.data.inputs.parameterConfig.formatType` (string) - `response.data.inputs.parameterConfig.resultName` (string) - `response.data.inputs.parameterConfig.resultLabel` (string) - `response.data.inputs.formattingOptions` (object) - `response.data.inputs.valueOptions` (any) - `response.data.outputs` (array) - `response.data.outputs.result` (any) - `response.data.outputs.excludeFromExport` (boolean) - `response.data.outputs.warnings` (any) - `response.data.outputs.alertMessage` (any) - `response.data.outputs.alertType` (any) - `response.data.outputs.displayOptions` (any) - `response.data.outputs.suffix` (any) - `response.data.outputs.resultType` (any) - `response.data.outputs.cssProperties` (any) - `response.data.outputs.userGroup` (any) - `response.data.outputs.resultGroup` (any) - `response.data.outputs.overrideValueOptions` (any) - `response.data.outputs.overrideAllowEmpty` (boolean) - `response.data.outputs.overridable` (boolean) - `response.data.outputs.overridden` (boolean) - `response.data.outputs.resultDescription` (any) - `response.data.calculationStatus` (number) - `response.data.submitDate` (any) - `response.data.workflowStatus` (string) - `response.data.formStatus` (string) - `response.data.submittedByName` (any) - `response.data.approvedByName` (any) - `response.data.deniedByName` (any) - `response.data.createdByName` (any) - `response.data.lastUpdateByName` (any) - `response.data.approvalRequiredEmailAttachments` (array) - `response.data.serverMessagesExtended` (any) - `response.data.createDate` (string) - `response.data.createdBy` (number) - `response.data.lastUpdateDate` (string) - `response.data.lastUpdateBy` (number) - `response.data.attribute1` (any) - `response.data.attribute2` (any) - `response.data.attribute3` (any) - `response.data.attribute4` (any) - `response.data.attribute5` (any) - `response.data.attribute6` (any) - `response.data.attribute7` (any) - `response.data.attribute8` (any) - `response.data.attribute9` (any) - `response.data.attribute10` (any) - `response.data.attribute11` (any) - `response.data.attribute12` (any) - `response.data.attribute13` (any) - `response.data.attribute14` (any) - `response.data.attribute15` (any) - `response.data.attribute16` (any) - `response.data.attribute17` (any) - `response.data.attribute18` (any) - `response.data.attribute19` (any) - `response.data.attribute20` (any) - `response.data.attribute21` (any) - `response.data.attribute22` (any) - `response.data.attribute23` (any) - `response.data.attribute24` (any) - `response.data.attribute25` (any) - `response.data.attribute26` (any) - `response.data.attribute27` (any) - `response.data.attribute28` (any) - `response.data.attribute29` (any) - `response.data.attribute30` (any) - `response.data.customFormTypeObject` (object) - `response.data.customFormTypeObject.headerFormulaName` (string) - `response.data.customFormTypeObject.workflowFormulaName` (any) - `response.data.customFormTypeObject.embedded` (boolean) - `response.data.customFormTypeObject.supportedParentTypeCodes` (array) - `response.data.customFormTypeObject.configuration` (object) - `response.data.customFormTypeObject.configuration.default` (object) - `response.data.customFormTypeObject.configuration.default.icon` (string, required) - `response.data.customFormTypeObject.configuration.default.tabs` (object, required) - `response.data.customFormTypeObject.configuration.default.tabs.details` (object, required) - `response.data.customFormTypeObject.configuration.default.tabs.details.translationKey` (string, required) - `response.status` (number) ## Response 400 fields ## Response 404 fields